GeneratedFileInfo.Entry (Axis API)
Keywords: org.apache.axis.wsdl.toJava.GeneratedFileInfo.Entry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class GeneratedFileInfo.Entry

    java.lang.Object
      org.apache.axis.wsdl.toJava.GeneratedFileInfo.Entry

Enclosing class:
  GeneratedFileInfo

public class GeneratedFileInfo.Entry
extends java.lang.Object

Structure to hold entries. There are three public data members:

- `fileName` - A relative path of the generated file.
- `className` - The name of the class in the file.
- `type` - The type of the file.
  Valid types are:
  `stub, interface, complexType, enumType, fault, holder, skeleton, skeletonImpl, service, deploy, undeploy, testCase`

Field Summary
`java.lang.String` | `className` Field className
`java.lang.String` | `fileName` Field fileName
`java.lang.String` | `type` Field type

Constructor Summary
`GeneratedFileInfo.Entry(java.lang.String name, java.lang.String className, java.lang.String type)` Constructor Entry

Method Summary
`java.lang.String` | `toString()` Method toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fileName

    public java.lang.String fileName

  Field fileName

### className

    public java.lang.String className

  Field className

### type

    public java.lang.String type

  Field type

Constructor Detail

### GeneratedFileInfo.Entry

    public GeneratedFileInfo.Entry(java.lang.String name,
                                   java.lang.String className,
                                   java.lang.String type)

  Constructor Entry

Parameters:
  `name` -
  `className` -
  `type` -

Method Detail

### toString

    public java.lang.String toString()

  Method toString

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.